"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Injectable = void 0;
require("reflect-metadata");
/** Decorator to provide a DI Token. */
function Injectable(classConstructor) {
    if (!Reflect.hasMetadata('di-tokens', classConstructor)) {
        var paramTypes = classConstructor.length ? Reflect.getMetadata('design:paramtypes', classConstructor) : [];
        if (!paramTypes) {
            throw new Error("InjectionError: No types emitted for class " + classConstructor.name + ".");
        }
        Reflect.defineMetadata('di-tokens', paramTypes, classConstructor);
    }
}
exports.Injectable = Injectable;
//# sourceMappingURL=injectable.js.map